Bug 11571 - xfig.3.2.3a crashes because of Xaw3d incompatibility
Summary: xfig.3.2.3a crashes because of Xaw3d incompatibility
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xfig   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-22 05:38 UTC by Jonathan Kamens
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 05:47:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xfig/Xaw3d patch (946 bytes, patch)
2000-05-22 05:38 UTC, Jonathan Kamens
no flags Details | Diff
I must a chunk; here's the correct patch (1.30 KB, patch)
2000-05-22 05:46 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2000-05-22 05:38:33 UTC
xfig 3.2.3a tries to use Xaw header files to subclass to an Xaw3d widget.
This is a no-no, and it causes xfig to crash the first time a menu is
brought up when it is run with XFree86-4.0.

Attached is a patch which fixes this.

Comment 1 Jonathan Kamens 2000-05-22 05:38:59 UTC
Created attachment 262 [details]
xfig/Xaw3d patch

Comment 2 Jonathan Kamens 2000-05-22 05:46:59 UTC
Created attachment 263 [details]
I must a chunk; here's the correct patch

Comment 3 Jonathan Kamens 2000-05-22 05:47:59 UTC
Sigh.  "I must a chunk" should have been "I missed a chunk".  It's late.

Comment 4 Preston Brown 2000-06-26 19:44:39 UTC
fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.